using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Project
{
    public class Flag : CInterLock
    {
        public Boolean IsInit; //H/W설정이 안된경우에만 FALSE로 한다
        public int PortCount;
        public string[] Name;

        public Flag()
        {
            this.Tag = "MAIN";
            PortCount = 64;
            IsInit = true;
            errorMessage = string.Empty;
            _value = 0;
            Name = new string[PortCount];
            for (int i = 0; i < Name.Length; i++)
            {
                Name[i] = string.Empty;
            }
        }

        public bool get(eFlag flag)
        {
            return get((int)flag);
        }
        public void set(eFlag flag, bool value, string reason)
        {
            var idx = (int)flag;
            set(idx, value, reason);
        }

        public void Toggle(eFlag flag)
        {
            Toggle((int)flag);
        }


    }
   

}
